<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>

<%	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> 
	<% } %>
	<%@ include file="/m05bIdioma.inc"%>

<HTML>
<head>
		<title><%= resTit.getString("titRelRestricciones")%></title>
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
</head>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
		<SCRIPT language=JavaScript>
			var urlIdioma;		//URL recarga en funcion del idioma
			var rutaCabecera;	//Camino de migas
			var detActual;		//Ventana actual
			urlIdioma = "<%=m05bConstantesPaginas.MTO_REL_RESTRICCIONES%>";
			detActual = '<%=resCM.getString("cmRelRestricciones")%>';
			rutaCabecera = "";
			//rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%>" + urlIdioma + "'>\\"+detActual+"</a>";
		</SCRIPT>
		<%@ include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<p>	
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
				<FORM NAME="FormRelRestricciones" METHOD="POST">
					 <TABLE  class="general">
						 <tr>
 						      <td width="90%" align="right"> 
 						      	<input type="button" class="boton" name="<%= res.getString("etBOT_PRESENTAR")%>" value="<%= res.getString("etBOT_PRESENTAR")%>" ONCLICK="JavaScript:fncImprimir(); return false" onMouseOver="top.status='<%= res.getString("etBOT_STATUSPRESENTAR")%>'; return false" onMouseOut="top.status=''; return false" />
 						      </td>
						      <td align="right"> 
						        <input type="button" class="boton" name="<%= res.getString("etBOT_NUEVO")%>" value="<%= res.getString("etBOT_NUEVO")%>" ONCLICK="JavaScript:fncNuevo();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSNUEVO")%>'; return false" onMouseOut="top.status=''; return false" />
						      </td>
						</tr>
					 </TABLE>
					 <p>
					 <TABLE class="general" align="center">
					    <tr > 
					       <td class="searchTitle" width="15%"><%= res.getString("etDNI")%></td>
					       <td class="searchTitle" width="35%"><%= res.getString("etNombre")%></td>
					       <td class="searchTitle" width="50%"><%= res.getString("etDescripcion")%></td>
					    </tr>
					<%
							int contador = 0;
						String sql = "", sql2 = "";
						String dni="", texto="",nombre="", vehiculo="N", asig="N", ot="N";
                        java.sql.Connection conn=null;
                        PreparedStatement pstmt = null;
                        ResultSet rs = null;
						
							
					try{
						session.removeAttribute("Restriccion");
						dni = request.getParameter("Codigo");
						if ((dni == null) || (!(dni.equals("Nuevo")))) { 
						   if (dni != null)
						   		dni = dni.toUpperCase();
						   texto = request.getParameter("Descripcion");
					   	   if (texto != null)
						   		texto = texto.toUpperCase();
						}
						
						sql = "select " + m05bConstantes.COL_47_DNI + ", "+ m05bConstantes.COL_21_NOMBRE + ", NVL(" +campoTexto+ m05bConstantes.COL_47_DESCRIPCION +","+m05bConstantes.COL_47_DESCRIPCION +")" 
								+" from " + m05bConstantes.TAB_RESTRICCIONES + ", " +  m05bConstantes.TAB_PERSONAL;
								
						if ( (dni == null) || (dni.equals("") ))
							sql2 = sql2;
						else{	
							dni = "%" + dni + "%";
							sql2 = sql2 + " where " + m05bConstantes.COL_47_DNI + " like ? ";
						}
						if ( (texto == null) || (texto.equals("")))
							sql2 = sql2;
						else{
							texto = '%' + texto + '%';
							if (sql2.equals(""))
						 		sql2 = sql2 + " where " +campoTexto+ m05bConstantes.COL_47_DESCRIPCION + "like ? ";
						 	else
						 		sql2 = sql2 + " and " +campoTexto+ m05bConstantes.COL_47_DESCRIPCION + " like ? ";
						}
						
						if(sql2.equals(""))
							sql2= " WHERE " + m05bConstantes.COL_47_DNI + " = " + m05bConstantes.COL_21_DNI;
						else
							sql2= sql2 + m05bConstantes.COL_47_DNI + " = " + m05bConstantes.COL_21_DNI;
						
						sql = sql + sql2 + " order by " + m05bConstantes.COL_47_DNI;
					    // m05bbBeginSelect(sql);
		                m05bConexion miConex = new m05bConexion();
                        conn = miConex.getConnection();
                        conn.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit	 
		                pstmt = conn.prepareStatement(sql);
					     
					        
						if ((dni == null) || (dni.equals(""))  )
							contador = contador;
						else{
							contador = contador + 1;
							pstmt.setString(contador, dni);
						}
						if ( (texto == null) || (texto.equals("")) )
							contador = contador;
						else{
							contador = contador + 1;
							pstmt.setString(contador, texto);
						}
						//m05bRS = m05bPStmt.executeQuery();
					    rs = pstmt.executeQuery();					    
						while (rs.next() == true){
							dni = rs.getString(1);
							nombre = rs.getString(2);
							texto= rs.getString(3);%>
							<tr>
							   <td class="inputFieldTitle"><FONT size="2"><A href="JavaScript:fncModificar('<%=dni%>')"><%=dni%></A></FONT></td>
							   <td class="inputFieldTitle"><FONT size="2"><%=nombre%></FONT></td>
					   		   <td class="inputFieldTitle"><FONT size="2"><%=texto%></FONT></td>
							</tr>
						<%	++contador;
							}%>
							<tr></tr>
						    <tr align="center">
								    <td class="inputField" colspan="2"><%= res.getString("etTotal")%> <%=contador%></td>
						    </tr>
						</TABLE>
			</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
	</tr>
</table>
<SCRIPT language=JavaScript>
	function fncNuevo() {
			var docu = document.FormRelRestricciones;
       		docu.action="m05bRestriccionesJsp.jsp?Codigo=&Mensaje=false&Origen=R";
       		docu.submit();
	}
	function fncModificar(codigo) {
			var docu = document.FormRelRestricciones;
            docu.action="m05bGenerarRestriccionServlet?Codigo=" + codigo + "&Mensaje=" + <%=m05bConstantes.MSG_FALSE%> + "&Origen=R";
            docu.submit();
    }
    
    function fncImprimir() {
		var docu = document.FormRelRestricciones;
        docu.action="m05bRestriccionesPDFJsp.jsp";
        docu.submit();
    }    

    setTimeout('initSlide();', 1);
</SCRIPT>
	<%
	} catch (Exception SQLException) {
		m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
		miLog.addTraza(SQLException);
	} finally {
		//m05bEndSelect();
		if (rs != null)
		    rs.close();
		if (pstmt != null)
		    pstmt.close();
		if (conn != null)
		    conn.close();
		
	}%>
</BODY>
</HTML>